> For the complete documentation index, see [llms.txt](https://docs.i3d.net/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.i3d.net/api-references/game/arcus.md).

# Arcus

custom commands All Arcus custom commands endpoints

## POST /v3/customCommand/host/{hostId}

> Sends a command to a host (all application instances will receive the command)

```json
{"openapi":"3.0.1","info":{"title":"i3D.net One-Deployment-Platform Endpoints","version":"3.0.0"},"tags":[{"name":"Arcus","description":"custom commands All Arcus custom commands endpoints"}],"servers":[{"url":"https://api.i3d.net"}],"security":[{"ApiKey":[]}],"components":{"securitySchemes":{"ApiKey":{"type":"apiKey","name":"PRIVATE-TOKEN","in":"header"}},"schemas":{"CustomCommandCollection":{"type":"object","properties":{"customCommand":{"type":"array","items":{"$ref":"#/components/schemas/CustomCommandKeyValue"},"description":"A collection of custom command entities"}},"additionalProperties":false},"CustomCommandKeyValue":{"type":"object","required":["key","value"],"properties":{"key":{"type":"string","format":"","description":"Custom command key that will be send. Max length 50 characters"},"value":{"type":"string","format":"","description":"Custom Command value that will be send. Max length 512 characters"}},"additionalProperties":false},"TaskStatus":{"type":"object","required":["id","name","batchId","categoryId","entityId","currentActionIdx","executeAt","lastActivityAt","finishedAt","resultCode","resultText"],"properties":{"id":{"type":"integer","format":"integer","description":"Task ID","readOnly":true},"name":{"type":"string","format":"","description":"Task name","readOnly":true},"batchId":{"type":"integer","format":"integer","description":"The ID of the batch the task belongs to","readOnly":true},"categoryId":{"type":"integer","format":"integer","description":"The ID of the task category. Valid values are:\n- 1: game server","readOnly":true},"entityId":{"type":"integer","format":"integer","description":"The ID of the entity the task is being executed for. E.g. a game server ID (categoryId 1)","readOnly":true},"currentActionIdx":{"type":"integer","format":"integer","description":"Currently active action index - relates to the action index as found in the template.","readOnly":true},"executeAt":{"type":"integer","format":"integer","description":"Unix timestamp indicating the start of execution.","readOnly":true},"lastActivityAt":{"type":"integer","format":"integer","description":"Unix timestamp indicating lastest activity.","readOnly":true},"finishedAt":{"type":"integer","format":"integer","description":"Unix timestamp at which the task was finished.","readOnly":true},"resultCode":{"type":"integer","format":"integer","description":"The result of the task. 0: pending, 1: in progress, 2: paused, 125: cancelled, 126: done with error, 127: done","readOnly":true},"resultText":{"type":"string","format":"","description":"The result of the task in message form.","readOnly":true}},"additionalProperties":false},"Error":{"type":"object","required":["errorCode","errorMessage","errors"],"properties":{"errorCode":{"type":"integer","format":"integer","description":"Error code"},"errorMessage":{"type":"string","format":"","description":"Error message"},"errors":{"type":"array","items":{"$ref":"#/components/schemas/ErrorDetails"},"description":"Error details"}},"additionalProperties":false},"ErrorDetails":{"type":"object","required":["property","message"],"properties":{"property":{"type":"string","format":"","description":"Property in which there is an error"},"message":{"type":"string","format":"","description":"Error message"}},"additionalProperties":false}}},"paths":{"/v3/customCommand/host/{hostId}":{"post":{"tags":["Arcus"],"summary":"Sends a command to a host (all application instances will receive the command)","operationId":"createCustomCommandHost","requestBody":{"description":"","content":{"application/json":{"schema":{"$ref":"#/components/schemas/CustomCommandCollection"}}},"required":true},"responses":{"200":{"description":"OK","content":{"application/json":{"schema":{"type":"array","items":{"$ref":"#/components/schemas/TaskStatus"}}}}},"403":{"description":"Invalid credentials"},"500":{"description":"Internal Server Error","content":{"application/json":{"schema":{"$ref":"#/components/schemas/Error"}}}}}}}}}
```

## POST /v3/customCommand/applicationInstance/{applicationInstanceId}

> Sends a command to a application instance

```json
{"openapi":"3.0.1","info":{"title":"i3D.net One-Deployment-Platform Endpoints","version":"3.0.0"},"tags":[{"name":"Arcus","description":"custom commands All Arcus custom commands endpoints"}],"servers":[{"url":"https://api.i3d.net"}],"security":[{"ApiKey":[]}],"components":{"securitySchemes":{"ApiKey":{"type":"apiKey","name":"PRIVATE-TOKEN","in":"header"}},"schemas":{"CustomCommandCollection":{"type":"object","properties":{"customCommand":{"type":"array","items":{"$ref":"#/components/schemas/CustomCommandKeyValue"},"description":"A collection of custom command entities"}},"additionalProperties":false},"CustomCommandKeyValue":{"type":"object","required":["key","value"],"properties":{"key":{"type":"string","format":"","description":"Custom command key that will be send. Max length 50 characters"},"value":{"type":"string","format":"","description":"Custom Command value that will be send. Max length 512 characters"}},"additionalProperties":false},"TaskStatus":{"type":"object","required":["id","name","batchId","categoryId","entityId","currentActionIdx","executeAt","lastActivityAt","finishedAt","resultCode","resultText"],"properties":{"id":{"type":"integer","format":"integer","description":"Task ID","readOnly":true},"name":{"type":"string","format":"","description":"Task name","readOnly":true},"batchId":{"type":"integer","format":"integer","description":"The ID of the batch the task belongs to","readOnly":true},"categoryId":{"type":"integer","format":"integer","description":"The ID of the task category. Valid values are:\n- 1: game server","readOnly":true},"entityId":{"type":"integer","format":"integer","description":"The ID of the entity the task is being executed for. E.g. a game server ID (categoryId 1)","readOnly":true},"currentActionIdx":{"type":"integer","format":"integer","description":"Currently active action index - relates to the action index as found in the template.","readOnly":true},"executeAt":{"type":"integer","format":"integer","description":"Unix timestamp indicating the start of execution.","readOnly":true},"lastActivityAt":{"type":"integer","format":"integer","description":"Unix timestamp indicating lastest activity.","readOnly":true},"finishedAt":{"type":"integer","format":"integer","description":"Unix timestamp at which the task was finished.","readOnly":true},"resultCode":{"type":"integer","format":"integer","description":"The result of the task. 0: pending, 1: in progress, 2: paused, 125: cancelled, 126: done with error, 127: done","readOnly":true},"resultText":{"type":"string","format":"","description":"The result of the task in message form.","readOnly":true}},"additionalProperties":false},"Error":{"type":"object","required":["errorCode","errorMessage","errors"],"properties":{"errorCode":{"type":"integer","format":"integer","description":"Error code"},"errorMessage":{"type":"string","format":"","description":"Error message"},"errors":{"type":"array","items":{"$ref":"#/components/schemas/ErrorDetails"},"description":"Error details"}},"additionalProperties":false},"ErrorDetails":{"type":"object","required":["property","message"],"properties":{"property":{"type":"string","format":"","description":"Property in which there is an error"},"message":{"type":"string","format":"","description":"Error message"}},"additionalProperties":false}}},"paths":{"/v3/customCommand/applicationInstance/{applicationInstanceId}":{"post":{"tags":["Arcus"],"summary":"Sends a command to a application instance","operationId":"createCustomCommandApplicationInstance","requestBody":{"description":"","content":{"application/json":{"schema":{"$ref":"#/components/schemas/CustomCommandCollection"}}},"required":true},"responses":{"200":{"description":"OK","content":{"application/json":{"schema":{"type":"array","items":{"$ref":"#/components/schemas/TaskStatus"}}}}},"403":{"description":"Invalid credentials"},"500":{"description":"Internal Server Error","content":{"application/json":{"schema":{"$ref":"#/components/schemas/Error"}}}}}}}}}
```


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://docs.i3d.net/api-references/game/arcus.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
